=== modified file 'baz_import.py'
--- baz_import.py	2005-11-21 14:29:35 +0000
+++ baz_import.py	2005-11-21 14:43:51 +0000
@@ -23,6 +23,7 @@
 from bzrlib.commit import Commit, NullCommitReporter
 from bzrlib.commands import Command
 from bzrlib.option import _global_option
+from bzrlib.workingtree import WorkingTree
 from errors import NoPyBaz
 try:
     import pybaz
@@ -589,19 +590,22 @@
         else:
             log_message = log_summary
         branch.lock_write()
+        target_tree = WorkingTree(revdir ,branch=branch)
+        target_tree.lock_write()
         try:
             if missing_ancestor:
                 # if we want it to be in revision-history, do that here.
-                branch.add_pending_merge(revision_id(missing_ancestor))
+                target_tree.add_pending_merge(revision_id(missing_ancestor))
                 missing_ancestor = None
             for merged_rev in direct_merges:
-                branch.add_pending_merge(revision_id(merged_rev))
-            branch.working_tree().set_inventory(baz_inv)
+                target_tree.add_pending_merge(revision_id(merged_rev))
+            target_tree.set_inventory(baz_inv)
             commitobj = Commit(reporter=ImportCommitReporter(pb))
             commitobj.commit(branch, log_message.decode('ascii', 'replace'), 
                              verbose=False, committer=log_creator,
                              timestamp=timestamp, timezone=0, rev_id=rev_id)
         finally:
+            target_tree.unlock()
             branch.unlock()
     yield Progress("revisions", len(ancestors), len(ancestors))
     unlink_unversioned(branch, revdir)

